@use "../theme";
@use "../mixins";

.article-item {
    @include mixins.card;
    max-width: var(--max-reading-width);
    margin-bottom: 0;

    &__title {
        margin-bottom: theme.$spacing03;
        font-size: theme.$fontSizeMedium;
        line-height: 1.5;

        a {
            text-decoration: none;

            &:hover {
                text-decoration: underline;
            }
        }
    }

    &__published_at {
        @include mixins.small-gray-text;
    }

    >*:first-child {
        margin-top: 0;
    }

    >*:last-child {
        margin-bottom: 0;
    }
}

.article-list {
    @include mixins.list-reset;
    display: grid;
    --grid-item-width: minmax(var(--min-container-width), 1fr);
    grid-column-gap: var(--grid-gap);
    grid-row-gap: var(--grid-gap-sm);
    grid-template-columns: repeat(1, var(--grid-item-width));

    @media only screen and (min-width: theme.$lg) {
        grid-template-columns: repeat(var(--grid-n-columns, 1), var(--grid-item-width));
    }
}
